Mailinglist Archive: opensuse-updates (98 mails)

< Previous Next >
openSUSE-RU-2015:0634-1: moderate: Recommended update for Bluedevil
openSUSE Recommended Update: Recommended update for Bluedevil
______________________________________________________________________________

Announcement ID: openSUSE-RU-2015:0634-1
Rating: moderate
References:
Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that has 0 recommended fixes can now be installed.

Description:

This recommended update for Bluedevil and libbluedevil fixes the following
issues:
- bluedevil:
+ Update from 2.0-rc1 to 2.1.1 (last release based on KDE4
* don't try to infinitely kill monolithic when it fails (bko343682)
* fix directly opening files from obexftp (eg. images in gwenview)
* fix one crash in kded module (bko342581)
* fix obexftp browse files on old S60 devices (bko342259)
* Remember powered state of all adapters (kde#337193)
* Monolithic (Bluetooth icon) will now be correctly hidden in system
tray when all adapters are powered off (kde#341768)
* Monolithic will now be removed from system tray when there are no
adapters
* Action to send files over Bluetooth will now be shown only for file
that can actually be sent (only local files)
* PIN in pairing wizard will now be accepted only after clicking
"Matches" button
* kio_obexftp should now better handle errors and correctly reconnect
after losing connection (kde#321560)
* kio_bluetooth will not crash when trying to access invalid device
* Full Bluez5 support
* fix bashisms in post/postun scripts

- libbluedevil
+ Update from 2.0-rc1 to 2.1
* Adapter::name() now returns alias of adapter
* Do not set the Adapter back to powered (kde#329411)
* Check adapter for nullptr in interfacesAdded/interfacesRemoved slots
(kde#340577)
* Replace the tarball generated from tag, to the official one from KDE
mirrors


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-277=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

bluedevil-2.1.1-2.5.1
bluedevil-debuginfo-2.1.1-2.5.1
bluedevil-debugsource-2.1.1-2.5.1
libbluedevil-debugsource-2.1-2.4.1
libbluedevil-devel-2.1-2.4.1
libbluedevil2-2.1-2.4.1
libbluedevil2-debuginfo-2.1-2.4.1

- openSUSE 13.2 (noarch):

bluedevil-lang-2.1.1-2.5.1


References:



< Previous Next >
This Thread
  • No further messages